export declare function fetchLeaderboard(session: string, year: string, leaderboardID: string): Promise<Leaderboard>;
export declare function analyzePoints(l: Leaderboard): [Completion[], Available[]];
export interface Leaderboard {
    event: string;
    owner_id: string;
    members: {
        [id: string]: Member;
    };
}
export interface Member {
    id: string;
    name: string | null;
    stars: number;
    local_score: number;
    global_score: number;
    last_star_ts: number | '0';
    completion_day_level: CompletionDayLevel;
}
export declare type CompletionDayLevel = {
    [day in Day]?: {
        '1': {
            get_star_ts: number;
        };
        '2'?: {
            get_star_ts: number;
        };
    };
};
export declare type Day = '1' | '2' | '3' | '4' | '5' | '6' | '7' | '8' | '9' | '10' | '11' | '12' | '13' | '14' | '15' | '16' | '17' | '18' | '19' | '20' | '21' | '22' | '23' | '24' | '25';
export declare const DAYS: ReadonlyArray<Day>;
export declare type Part = '1' | '2';
export declare const PARTS: ReadonlyArray<Part>;
export interface Completion {
    member: Member;
    day: Day;
    part: Part;
    ts: number;
    points: number;
}
export interface Available {
    day: Day;
    part: Part;
    points: number;
}
